#pragma once
#include <vector>
#include <iostream>

#include "object.h"

class World
{
public:
	Texture Sprite = ResourceManager::LoadTexture("../art/terrain/dirt.png", "dirtSheet");
	glm::vec2 blocksize;
	std::vector<Object*> objects;
	std::vector<std::vector<unsigned int>> tileData;

	World(const char* file, glm::vec2 blockSize);
	~World();

	void drawWorld(SpriteRenderer& renderer);
};
